<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>FitBot</title>

    <link href="https://fonts.googleapis.com/css?family=Open+Sans&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../dist/style/index.min.css">

    <script type="text/javascript" src="../src/scripts/core.js"></script>
    <script type="text/javascript" src="../src/scripts/chatView.js"></script>
    <script type="text/javascript" src="../src/scripts/conversationView.js"></script>
    <script type="text/javascript" src="../src/scripts/inputView.js"></script>
    <script type="text/javascript" src="../src/scripts/model.js"></script>
    <script type="text/javascript" src="../src/scripts/bubbles.js"></script>
    <script type="text/javascript" src="../src/scripts/quick_response.js"></script>
    <script type="text/javascript" src="../src/scripts/timer.js"></script>
    <script type="text/javascript" src="../src/scripts/counter.js"></script>
    <script type="text/javascript" src="../src/scripts/list.js"></script>
    <script type="text/javascript" src="../src/scripts/card.js"></script>
    <script type="text/javascript" src="../src/scripts/carousel.js"></script>
    <script type="text/javascript" src="../src/scripts/timerManager.js"></script>

    <script>
      window.addEventListener('load', function() {
        var acchat = new Acchat(document.getElementById('js-chat'));
      });
    </script>
    <style>
      h1 {
        color: #4137ef;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 2em;
        text-align: center;
      }
      h2{
        color: #4137ef;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
        font-size: 1.5em;
        text-align: center;        
      }
      p {
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        font-size: 1em;
      }
      .instruction{        
        float: left;
        display: inline-block;
        width: 70%;
        padding: 0  2em 2em 2em;
      }
      .hints{        
        float: left;
        display: inline-block;
        height: 100px;
        width: 70%;
        text-align: center;
      }
      .button_image{
        height: 100%;
        display: inline-block;
      }
      .here{
        width: 15%;
        float: right;
        display: inline-block;
        padding: 10em 2em 2em 2em;
      }
      .here img{
        width: 95%;
      }
    </style>
  </head>
  <body>
    <div id="js-chat"></div>
    <div class="instruction" aria-hidden="true">
      <h1>FitBot</h1>
      <p>Benvenuto in FitBot! <br>Questo chatbot è un prototipo, il che significa che a differenza di un vero e proprio bot ancora non è in grado di comprendere il linguaggio naturale. Per ovviare a questo problema noterai che ogni volta che il bot ti pone una domanda offre anche dei tasti di risposta: selezionane uno per procedere nella navigazione, oppure scrivi e invia la risposta attraverso la casella di testo utilizzando le stesse parole che trovi sopra i tasti di risposta. <br> Il bot è a tema fitness e ha la funzione di proporre delle schede di allenamento, spiegarne gli esercizi e guidarti nel loro svolgimento, come una sorta di "personal trainer" digitale.</p>
      <h1>Utilizzo con Screen Reader</h1>
      <p>Questo prototipo è stato ideato per essere utilizzato anche dalle persone non vedenti, il che significa che può funzionare anche con uno Screen Reader. Gli Screen Reader sono software che servono a leggere tutto ciò che compare sullo schermo e a navigare senza usare il mouse, in modo da poter rendere possibile l'utilizzo di un PC anche ai non vedenti. <br> Utilizzare uno Screen Reader può sembrare più complicato di quanto non sia in realtà, tutto quello che ti serve sapere per utilizzare questo bot con uno Screen Reader è che puoi scorrere gli elementi della pagina con il tasto TAB e selezionare quelli cliccabili premendo INVIO. Per tornare ad un elemento precedente invece, basta premere contemporaneamente SHIFT + TAB.</p>
    </div>
    <div class="here" aria-hidden="true">
        <h2>Clicca qui per Iniziare</h2>
        <img src="../src/assets/img/angle_arrow.png" alt="qui">
      </div>
    <div class="hints" aria-hidden="true">
      <img class="button_image" src="../src/assets/img/tab.png" alt="tasto tab">
      <img class="button_image" src="../src/assets/img/shift.png" alt="tasto shift">
    </div>

  </body>
</html>
